<xml> </xml>

db4o |

# Configuration.singleThreadedClient Method

configures the client messaging system to be single threaded or multithreaded.

void singleThreadedClient(
bool flag
);

#### Parameters

flag
  the desired setting

#### Remarks

configures the client messaging system to be single threaded or multithreaded.
Recommended settings:
-

    true

for low ressource systems.
-

    false

for best asynchronous performance and fast GUI response.
Default value:
- .NET Compactframework:

    true

- all other plaforms:

    false

#### See Also

Configuration Interface | com.db4o.config Namespace